%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gadget
Version:        0.0.3
Release:        4%{?dist}
Summary:        XMPP server component for tracking people and activities

Group:          Development/Languages
License:        GPLv2
URL:            http://wiki.laptop.org/go/Gadget
Source0:        http://dev.laptop.org/pub/gadget/gadget-%{version}.tar.gz
Source1:        http://people.sugarlabs.org/erikos/gadget.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires: python-devel

Requires: python-twisted
Requires: ejabberd

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=250253
# ejabberd is not build on ppc64
ExcludeArch: ppc64

%description
Gadget is an XMPP server component written to scale Jabber
server based collaborative activities via Telepathy Gabble.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT/var/lib/gadget

%{__install} -p -D -m 644 gadget.config $RPM_BUILD_ROOT/%{_sysconfdir}/gadget/gadget.config
%{__install} -p -D -m 644 gadget.tac $RPM_BUILD_ROOT/%{_datadir}/gadget/gadget.tac
%{__install} -p -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/gadget

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add gadget

%preun
if [ $1 = 0 ]; then
        /sbin/service gadget stop >/dev/null 2>&1
        /sbin/chkconfig --del gadget
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service gadget condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc NEWS README COPYING
%config(noreplace) %{_sysconfdir}/gadget/gadget.config
%{_initrddir}/gadget
%{_datadir}/gadget/gadget.tac
%{python_sitelib}/gadget
%{python_sitelib}/*.egg-info
%dir /var/lib/gadget

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Simon Schampijer <simon@schampijer.de> - 0.0.3-3
- exclude ppc64 as ejabberd is not build there #250253

* Tue Mar 10 2009 Simon Schampijer <simon@schampijer.de> - 0.0.3-2
- added COPYING 
- correct licence information
- added gadget init file for Fedora
- added ejabberd and python-twisted dependency

* Wed Dec 10 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.0.3-1
- Update to 0.10.4 to fix 2.6 issues
